# frozen_string_literal: true

require "irb"

RSpec.describe "ramverk console", type: :cli do
  it "starts an interactive console session" do
    expect(IRB)
      .to receive(:start)

    with_project_structure do
      expect { ramverk "console" }
        .to output("Loading test environment...\n").to_stdout
    end
  end

  it "support different environments" do
    expect(IRB)
      .to receive(:start)

    with_project_structure do
      with_env :development do
        expect { ramverk "console" }
          .to output("Loading development environment...\n").to_stdout
      end
    end
  end
end
