# frozen_string_literal: true

RSpec.describe "ramverk new PROJECT_NAME", type: :cli do
  before { allow($stdout).to receive(:write) }

  it "creates a new app" do
    pwd = File.expand_path("spec/tmp", Dir.pwd)

    Dir.chdir pwd do
      ramverk "new", "test_project"

      root = Pathname.new(pwd).join("test_project")

      expect(root.join(".gitignore"))
        .to be_a_file
      expect(root.join("Gemfile"))
        .to be_a_file
      expect(root.join("Rakefile"))
        .to be_a_file
      expect(root.join("config.ru"))
        .to be_a_file
      expect(root.join(".env.example"))
        .to be_a_file
      expect(root.join(".env.test"))
        .to be_a_file
      expect(root.join(".env.development"))
        .to be_a_file

      expect(root.join("lib", "test_project.rb"))
        .to be_a_file
      expect(root.join("lib", "test_project.rb"))
        .to include_text("module TestProject")
      expect(root.join("lib", "test_project", ".gitkeep"))
        .to be_a_file

      expect(root.join("config", "environment.rb"))
        .to be_a_file
      expect(root.join("config", "boot.rb"))
        .to be_a_file

      expect(root.join("spec", "spec_helper.rb"))
        .to be_a_file
      expect(root.join("spec", "support", ".gitkeep"))
        .to be_a_file
      expect(root.join("spec", "lib", "test_project_spec.rb"))
        .to include_text("RSpec.describe TestProject do")
    end
  end
end
