# frozen_string_literal: true

require "ramverk/string"

module Ramverk
  RSpec.describe String do
    describe ".underscore" do
      it "makes a snake_cased version of a string" do
        expect(String.underscore("Web::Controllers::PostComments"))
          .to eq("web/controllers/post_comments")
      end
    end

    describe ".classify" do
      it "makes a CamelCase version of a string" do
        expect(String.classify("web/controllers/post_comments"))
          .to eq("Web::Controllers::PostComments")
      end
    end
  end
end
